/** mailbeep.cpp
*
*   Interface to beep() or play_sound() from C.
*
*   W.G.J. Langeveld
*
**/
#include <StorageKit.h>
#include <Beep.h>
#include <PlaySound.h>

extern "C" {
#include "mailbeep.h"
}

static entry_ref ref;

void mailbeep(char *sfile)
{
   if (sfile) {
      if (get_ref_for_path(sfile, &ref) == B_OK) {
         play_sound(&ref, TRUE, TRUE, TRUE);
         return;
      }
   }

   beep();

   return;
}
